MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031580Open CASCADE[OCCT] OCCT:Visualizationpublic2020-05-27 13:302020-05-30 12:26
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031580: Visualization, TKOpenGl - cubemap initialization error on OpenGL ES 2.0
DescriptionOpenGl_Texture::InitCubeMap() fails on OpenGL ES 2.0 due to two errors - usage of GL_TEXTURE_WRAP_R texture parameter (available only single OpenGL ES 3.0) and usage of signed internal format:
TKOpenGl | Type: Error | ID: 0 | Severity: High | Message:
  Unable to initialize side of cubemap

WebGL warning: texParameter: texParameter: pname: Invalid enum value TEXTURE_WRAP_R
WebGL warning: texImage: Invalid internalformat: 0x8058

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0030700verifiedapn Visualization, TKOpenGl - support PBR Metallic-Roughness shading model 
child of 0030807closedapn Visualization, TKOpenGl - supporting cubemaps 

-  Notes
(0092358)
git (administrator)
2020-05-27 13:35

Branch CR31580 has been created by kgv.

SHA-1: 8a3af4aaf4a1b219e3db8ceec626c9025566c7dd


Detailed log of new commits:

Author: kgv
Date: Wed May 27 13:36:17 2020 +0300

    0031580: Visualization, TKOpenGl - cubemap initialization error on OpenGL ES 2.0
    
    OpenGl_Texture::InitCubeMap() now avoids using sized internal format in case of GLES2.
    OpenGl_Sampler::applySamplerParams() now checks OpenGL version before setting GL_TEXTURE_WRAP_R.
(0092363)
kgv (developer)
2020-05-27 19:53

Please raise the patch in OCCT branch CR31580.

http://jenkins-test-12.nnov.opencascade.com/view/CR31580-master-KGV/ [^]
(0092398)
bugmaster (administrator)
2020-05-29 09:50

Combination -
OCCT branch : WEEK-22
master SHA - 872f98d9ef76db68b45bb744a6f56788f134d9e7
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-22 SHA - 0948de4c2124aea8b36e4e2373bac22c08a4c7dc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17185.300000000076 / 17188.26000000018 [-0.02%]
Products
Total CPU difference: 11192.350000000066 / 11217.810000000067 [-0.23%]
Windows-64-VC14:
OCCT
Total CPU difference: 18662.4375 / 18659.515625 [+0.02%]
Products
Total CPU difference: 12991.78125 / 13006.1875 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0092411)
git (administrator)
2020-05-30 12:26

Branch CR31580 has been deleted by inv.

SHA-1: 8a3af4aaf4a1b219e3db8ceec626c9025566c7dd

- Related Changesets
occt: master e4e3254a
Timestamp: 2020-05-27 10:36:17
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031580: Visualization, TKOpenGl - cubemap initialization error on OpenGL ES 2.0

OpenGl_Texture::InitCubeMap() now avoids using sized internal format in case of GLES2.
OpenGl_Sampler::applySamplerParams() now checks OpenGL version before setting GL_TEXTURE_WRAP_R.
mod - src/OpenGl/OpenGl_Sampler.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Texture.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-05-27 13:30 kgv New Issue
2020-05-27 13:30 kgv Assigned To => kgv
2020-05-27 13:35 git Note Added: 0092358
2020-05-27 13:36 kgv Relationship added child of 0030700
2020-05-27 13:36 kgv Relationship added child of 0030807
2020-05-27 19:53 kgv Note Added: 0092363
2020-05-27 19:53 kgv Assigned To kgv => bugmaster
2020-05-27 19:53 kgv Severity minor => trivial
2020-05-27 19:53 kgv Status new => resolved
2020-05-27 19:54 kgv Status resolved => reviewed
2020-05-29 09:50 bugmaster Note Added: 0092398
2020-05-29 09:50 bugmaster Status reviewed => tested
2020-05-29 09:53 bugmaster Test case number => Not required
2020-05-30 12:13 bugmaster Changeset attached => occt master e4e3254a
2020-05-30 12:13 bugmaster Status tested => verified
2020-05-30 12:13 bugmaster Resolution open => fixed
2020-05-30 12:26 git Note Added: 0092411


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker